This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 255581 - Skype fails with "Fatal: Cannot mix incompatible Qt libraries"
Skype fails with "Fatal: Cannot mix incompatible Qt libraries"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
7
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-26 19:40 EDT by Russell East
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 18:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell East 2007-08-26 19:40:59 EDT
Description of problem:
Skype was working fine until couple days ago, after downloading various updates

Version-Release number of selected component (if applicable):
skype-1.4.0.99-fc5
qt4-4.3.1-3.fc7
qt-3.3.8-4.fc7

How reproducible:
every time

Steps to Reproduce:
1. enter skype& at command line
  
Actual results:
error message occurs straight away

Expected results:
skype starts normally

Additional info:
kernel 2.6.22.4-65.fc7
Comment 1 Ignacio Vazquez-Abrams 2007-08-26 19:57:11 EDT
What other qt4 apps are you running? What's the output of "ldd /usr/bin/skype"?
Comment 2 Russell East 2007-08-26 20:02:22 EDT
> What other qt4 apps are you running?
not sure, sorry.

>What's the output of "ldd /usr/bin/skype"?
        linux-gate.so.1 =>  (0x00110000)
        libasound.so.2 => /lib/libasound.so.2 (0x0623f000)
        librt.so.1 => /lib/librt.so.1 (0x00df0000)
        libQtDBus.so.4 => /usr/lib/libQtDBus.so.4 (0x00281000)
        libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0x04bd3000)
        libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0x00d3e000)
        libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0x002d3000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00993000)
        libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0x00b7e000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00bb0000)
        libm.so.6 => /lib/libm.so.6 (0x00829000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00af6000)
        libc.so.6 => /lib/libc.so.6 (0x006d3000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00863000)
        libdl.so.2 => /lib/libdl.so.2 (0x00854000)
        /lib/ld-linux.so.2 (0x006b4000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x07cf4000)
        libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0x00b20000)
        libz.so.1 => /lib/libz.so.1 (0x0097e000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00530000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00c9d000)
        libaudio.so.2 => /usr/lib/libaudio.so.2 (0x005ad000)
        libXt.so.6 => /usr/lib/libXt.so.6 (0x07c9a000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x009ad000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0x009f1000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0x009d5000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0x0054a000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00ae6000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00b10000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00b19000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00b04000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00af1000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x009fc000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00aab000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x0096c000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00967000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x0085b000)
        libcap.so.1 => /lib/libcap.so.1 (0x00dfb000)
        libexpat.so.0 => /lib/libexpat.so.0 (0x00a88000)
Comment 3 Russell East 2007-08-27 18:00:51 EDT
After searching, I found this page
(http://groups.google.com/group/linux.debian.bugs.dist/browse_thread/thread/9ccf0ccb398731cf/653b2cd4ac3ea7c8?lnk=raot)
in which someone had a (vaguely) similar problem.   In my case it turned out
there were some qt4.3.0 so's in /usr/lib, even though qt4-4.3.1-3.fc7 and
qt4-devel-4.3.1-3.fc7 were installed.   After searching more, I found that I did
not have qt4-x11 installed locally, but some of the 4.3.0 so's were from the
older version of that package.  I can't think of a good reason why those so's
should be there - it's a mystery to me.   My solution was to yum install
qt4-x11, which installed everything up to 4.3.1, and consequently the
incompatibility went away.  I can now run skype once again.

Note You need to log in before you can comment on or make changes to this bug.